Create keyword
curl --request POST \
--url https://api.heullo.com/api/v1/inbound/keywords \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"active": true,
"approvedAt": "2023-11-07T05:31:56Z",
"approvedBy": "<string>",
"autoReply": true,
"autoReplyMessage": "<string>",
"campaignId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"forwardToEmail": "<string>",
"id": "<string>",
"keyword": "<string>",
"matchCount": 123,
"organizationId": "<string>",
"rejectionReason": "<string>",
"reviewedAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://api.heullo.com/api/v1/inbound/keywords"
payload = {
"active": True,
"approvedAt": "2023-11-07T05:31:56Z",
"approvedBy": "<string>",
"autoReply": True,
"autoReplyMessage": "<string>",
"campaignId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"forwardToEmail": "<string>",
"id": "<string>",
"keyword": "<string>",
"matchCount": 123,
"organizationId": "<string>",
"rejectionReason": "<string>",
"reviewedAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
active: true,
approvedAt: '2023-11-07T05:31:56Z',
approvedBy: '<string>',
autoReply: true,
autoReplyMessage: '<string>',
campaignId: '<string>',
createdAt: '2023-11-07T05:31:56Z',
description: '<string>',
forwardToEmail: '<string>',
id: '<string>',
keyword: '<string>',
matchCount: 123,
organizationId: '<string>',
rejectionReason: '<string>',
reviewedAt: '2023-11-07T05:31:56Z',
updatedAt: '2023-11-07T05:31:56Z'
})
};
fetch('https://api.heullo.com/api/v1/inbound/keywords', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.heullo.com/api/v1/inbound/keywords",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'active' => true,
'approvedAt' => '2023-11-07T05:31:56Z',
'approvedBy' => '<string>',
'autoReply' => true,
'autoReplyMessage' => '<string>',
'campaignId' => '<string>',
'createdAt' => '2023-11-07T05:31:56Z',
'description' => '<string>',
'forwardToEmail' => '<string>',
'id' => '<string>',
'keyword' => '<string>',
'matchCount' => 123,
'organizationId' => '<string>',
'rejectionReason' => '<string>',
'reviewedAt' => '2023-11-07T05:31:56Z',
'updatedAt' => '2023-11-07T05:31:56Z'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.heullo.com/api/v1/inbound/keywords"
payload := strings.NewReader("{\n \"active\": true,\n \"approvedAt\": \"2023-11-07T05:31:56Z\",\n \"approvedBy\": \"<string>\",\n \"autoReply\": true,\n \"autoReplyMessage\": \"<string>\",\n \"campaignId\": \"<string>\",\n \"createdAt\": \"2023-11-07T05:31:56Z\",\n \"description\": \"<string>\",\n \"forwardToEmail\": \"<string>\",\n \"id\": \"<string>\",\n \"keyword\": \"<string>\",\n \"matchCount\": 123,\n \"organizationId\": \"<string>\",\n \"rejectionReason\": \"<string>\",\n \"reviewedAt\": \"2023-11-07T05:31:56Z\",\n \"updatedAt\": \"2023-11-07T05:31:56Z\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.heullo.com/api/v1/inbound/keywords")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"active\": true,\n \"approvedAt\": \"2023-11-07T05:31:56Z\",\n \"approvedBy\": \"<string>\",\n \"autoReply\": true,\n \"autoReplyMessage\": \"<string>\",\n \"campaignId\": \"<string>\",\n \"createdAt\": \"2023-11-07T05:31:56Z\",\n \"description\": \"<string>\",\n \"forwardToEmail\": \"<string>\",\n \"id\": \"<string>\",\n \"keyword\": \"<string>\",\n \"matchCount\": 123,\n \"organizationId\": \"<string>\",\n \"rejectionReason\": \"<string>\",\n \"reviewedAt\": \"2023-11-07T05:31:56Z\",\n \"updatedAt\": \"2023-11-07T05:31:56Z\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.heullo.com/api/v1/inbound/keywords")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"active\": true,\n \"approvedAt\": \"2023-11-07T05:31:56Z\",\n \"approvedBy\": \"<string>\",\n \"autoReply\": true,\n \"autoReplyMessage\": \"<string>\",\n \"campaignId\": \"<string>\",\n \"createdAt\": \"2023-11-07T05:31:56Z\",\n \"description\": \"<string>\",\n \"forwardToEmail\": \"<string>\",\n \"id\": \"<string>\",\n \"keyword\": \"<string>\",\n \"matchCount\": 123,\n \"organizationId\": \"<string>\",\n \"rejectionReason\": \"<string>\",\n \"reviewedAt\": \"2023-11-07T05:31:56Z\",\n \"updatedAt\": \"2023-11-07T05:31:56Z\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"active": true,
"approvedAt": "2023-11-07T05:31:56Z",
"approvedBy": "<string>",
"autoReply": true,
"autoReplyMessage": "<string>",
"campaignId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"effectiveStatus": "PENDING",
"forwardToEmail": "<string>",
"id": "<string>",
"keyword": "<string>",
"matchCount": 123,
"organizationId": "<string>",
"rejectionReason": "<string>",
"reviewedAt": "2023-11-07T05:31:56Z",
"status": "PENDING",
"updatedAt": "2023-11-07T05:31:56Z"
},
"etag": "<string>",
"message": "<string>",
"metadata": {
"last": true,
"page": 123,
"size": 123,
"totalElements": 123,
"totalPages": 123
},
"status": 123,
"success": true,
"timestamp": "2023-11-07T05:31:56Z"
}Inbound SMS
Create keyword
POST /api/v1/inbound/keywords
POST
/
api
/
v1
/
inbound
/
keywords
Create keyword
curl --request POST \
--url https://api.heullo.com/api/v1/inbound/keywords \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"active": true,
"approvedAt": "2023-11-07T05:31:56Z",
"approvedBy": "<string>",
"autoReply": true,
"autoReplyMessage": "<string>",
"campaignId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"forwardToEmail": "<string>",
"id": "<string>",
"keyword": "<string>",
"matchCount": 123,
"organizationId": "<string>",
"rejectionReason": "<string>",
"reviewedAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://api.heullo.com/api/v1/inbound/keywords"
payload = {
"active": True,
"approvedAt": "2023-11-07T05:31:56Z",
"approvedBy": "<string>",
"autoReply": True,
"autoReplyMessage": "<string>",
"campaignId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"forwardToEmail": "<string>",
"id": "<string>",
"keyword": "<string>",
"matchCount": 123,
"organizationId": "<string>",
"rejectionReason": "<string>",
"reviewedAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
active: true,
approvedAt: '2023-11-07T05:31:56Z',
approvedBy: '<string>',
autoReply: true,
autoReplyMessage: '<string>',
campaignId: '<string>',
createdAt: '2023-11-07T05:31:56Z',
description: '<string>',
forwardToEmail: '<string>',
id: '<string>',
keyword: '<string>',
matchCount: 123,
organizationId: '<string>',
rejectionReason: '<string>',
reviewedAt: '2023-11-07T05:31:56Z',
updatedAt: '2023-11-07T05:31:56Z'
})
};
fetch('https://api.heullo.com/api/v1/inbound/keywords', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.heullo.com/api/v1/inbound/keywords",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'active' => true,
'approvedAt' => '2023-11-07T05:31:56Z',
'approvedBy' => '<string>',
'autoReply' => true,
'autoReplyMessage' => '<string>',
'campaignId' => '<string>',
'createdAt' => '2023-11-07T05:31:56Z',
'description' => '<string>',
'forwardToEmail' => '<string>',
'id' => '<string>',
'keyword' => '<string>',
'matchCount' => 123,
'organizationId' => '<string>',
'rejectionReason' => '<string>',
'reviewedAt' => '2023-11-07T05:31:56Z',
'updatedAt' => '2023-11-07T05:31:56Z'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.heullo.com/api/v1/inbound/keywords"
payload := strings.NewReader("{\n \"active\": true,\n \"approvedAt\": \"2023-11-07T05:31:56Z\",\n \"approvedBy\": \"<string>\",\n \"autoReply\": true,\n \"autoReplyMessage\": \"<string>\",\n \"campaignId\": \"<string>\",\n \"createdAt\": \"2023-11-07T05:31:56Z\",\n \"description\": \"<string>\",\n \"forwardToEmail\": \"<string>\",\n \"id\": \"<string>\",\n \"keyword\": \"<string>\",\n \"matchCount\": 123,\n \"organizationId\": \"<string>\",\n \"rejectionReason\": \"<string>\",\n \"reviewedAt\": \"2023-11-07T05:31:56Z\",\n \"updatedAt\": \"2023-11-07T05:31:56Z\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.heullo.com/api/v1/inbound/keywords")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"active\": true,\n \"approvedAt\": \"2023-11-07T05:31:56Z\",\n \"approvedBy\": \"<string>\",\n \"autoReply\": true,\n \"autoReplyMessage\": \"<string>\",\n \"campaignId\": \"<string>\",\n \"createdAt\": \"2023-11-07T05:31:56Z\",\n \"description\": \"<string>\",\n \"forwardToEmail\": \"<string>\",\n \"id\": \"<string>\",\n \"keyword\": \"<string>\",\n \"matchCount\": 123,\n \"organizationId\": \"<string>\",\n \"rejectionReason\": \"<string>\",\n \"reviewedAt\": \"2023-11-07T05:31:56Z\",\n \"updatedAt\": \"2023-11-07T05:31:56Z\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.heullo.com/api/v1/inbound/keywords")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"active\": true,\n \"approvedAt\": \"2023-11-07T05:31:56Z\",\n \"approvedBy\": \"<string>\",\n \"autoReply\": true,\n \"autoReplyMessage\": \"<string>\",\n \"campaignId\": \"<string>\",\n \"createdAt\": \"2023-11-07T05:31:56Z\",\n \"description\": \"<string>\",\n \"forwardToEmail\": \"<string>\",\n \"id\": \"<string>\",\n \"keyword\": \"<string>\",\n \"matchCount\": 123,\n \"organizationId\": \"<string>\",\n \"rejectionReason\": \"<string>\",\n \"reviewedAt\": \"2023-11-07T05:31:56Z\",\n \"updatedAt\": \"2023-11-07T05:31:56Z\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"active": true,
"approvedAt": "2023-11-07T05:31:56Z",
"approvedBy": "<string>",
"autoReply": true,
"autoReplyMessage": "<string>",
"campaignId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"effectiveStatus": "PENDING",
"forwardToEmail": "<string>",
"id": "<string>",
"keyword": "<string>",
"matchCount": 123,
"organizationId": "<string>",
"rejectionReason": "<string>",
"reviewedAt": "2023-11-07T05:31:56Z",
"status": "PENDING",
"updatedAt": "2023-11-07T05:31:56Z"
},
"etag": "<string>",
"message": "<string>",
"metadata": {
"last": true,
"page": 123,
"size": 123,
"totalElements": 123,
"totalPages": 123
},
"status": 123,
"success": true,
"timestamp": "2023-11-07T05:31:56Z"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Available options:
PENDING, APPROVED, REJECTED Available options:
PENDING, APPROVED, REJECTED 
